<?php
namespace Teknisa\PED\Factories;

use Doctrine\ORM\EntityManager;
use Teknisa\Model\Pedidosexpedicao\Entities\Precobase;
use Teknisa\Model\Pedidosexpedicao\Entities\Promoprbase;
use Teknisa\Model\Pedidosexpedicao\Entities\Opcioprbase;
use Teknisa\Model\Pedidosexpedicao\Entities\Itemprebase;
use Teknisa\Model\Eventos\Entities\Prbaseconvidaore;

class ped07000AgendaVendedorRegiaoFactory {
    
    protected $connection;

    public function __construct(EntityManager $entityManager) {
        $this->connection       = $entityManager->getConnection();
        $this->entityManager    = $entityManager;
    }

    public function buscaCalendarColor($NRORG, $CDVENDEDOR) {
        $sql = "SELECT A.DTAGEVENDREGIAO, R.NRCORREGIAOPED FROM AGENDAVENDEDOR A
                JOIN REGIAOPED R ON A.CDREGIAOPED = R.CDREGIAOPED AND A.CDVENDEDOR = :CDVENDEDOR AND A.NRORG = :NRORG";
        
        $params = array();
        $params['nrorg'] = $NRORG;
        $params['cdvendedor'] = $CDVENDEDOR;
        $std = $this->connection->prepare($sql);
        $std->execute($params);
        
        return $std->fetchAll();
    }
    
}

?>