<?php
namespace Teknisa\PED\Modules\Pedidos\Services;

use Teknisa\PED\Modules\Pedidos\Factories\ped00300AprovacaoFactory;
use Zeedhi\Framework\DTO\Response\Error;

class ped00300AprovacaoService {

    protected $factory;

	public function __construct($factory){
	    $this->ped00300AprovacaoFactory = $factory;
	}

    public function checkLogin($login) {
        $user = $login[0]["login"];
        $pass = md5($login[0]["senha"]);
        
        if (array_key_exists("grupo", $login[0])) {
            $group = $login[0]["grupo"];
        }
        
        $param = array("login" => $user, "senha" => $pass);
        $result = $this->ped00300AprovacaoFactory->getLogin($param);
        $matched = false;
        $isOnGroup = false;
        
        for ($i=0; $i < count($result) && $isOnGroup == false; $i++) {
            if ($user == $result[$i]["DSEMAILOPER"] && $pass == $result[$i]["CDSENHAOPERWEB"]) {
                if ($group) {
                    if($group == $result[$i]["CDGRUPOPER"]) {
                        $matched = true;
                        $isOnGroup = true;
            
                    } else {
                        $matched = true;
                        $isOnGroup = false;
                    }
                } else {
                    $matched = true;
                    $isOnGroup = true;
                }
            }
        }
        $result = [
            "matched" => $matched,
            "isOnGroup" => $isOnGroup
        ];
        return $result;
    }

    public function loginVerifier($login) {
        $result = $this->ped00300AprovacaoFactory->getLogin($login);
        // se result > 0 true se < 0 false
        if (count($result) > 0) {
            return true;
        } else {
            return false;
        }
    }

    public function pendenciaCheckLogin($login) {
        $paramGrupOper = $this->ped00300AprovacaoFactory->getParampedidos($login[0]['cdfilial']);
        $login[0]['senha'] = md5($login[0]["senha"]);
        $grupoOper = $this->ped00300AprovacaoFactory->getGrupoOper($login[0]);
        $infLogin = $this->loginVerifier($login[0]);
        $isOnGroup = false;

        if ($infLogin) {
            $matched = true;
            for ($i= 0; $i < count($grupoOper); $i++) {
                if ($grupoOper[$i]['CDGRUPOPER'] == $paramGrupOper[0]['CDGROPERAPRO']) {
                    // falta definir oque vai retornar pro front
                    $isOnGroup = true;
                }
            }
        }
        $result = [
            "matched" => $matched,
            "isOnGroup" => $isOnGroup
        ];
        return $result;
    }
}
?>